Magick++: Magick::PathSmoothCurvetoAbs Class Reference

Magick++ 7.0.10

Public Member Functions | List of all members
Magick::PathSmoothCurvetoAbs Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::PathSmoothCurvetoAbs:
[legend]
Collaboration diagram for Magick::PathSmoothCurvetoAbs:
[legend]

## Public Member Functions
| PathSmoothCurvetoAbs (const Magick::Coordinate &coordinates_)
| PathSmoothCurvetoAbs (const CoordinateList &coordinates_)
| PathSmoothCurvetoAbs (const PathSmoothCurvetoAbs &original_)
| ~PathSmoothCurvetoAbs (void)
void | operator() (MagickCore::DrawingWand *context_) const
VPathBase * | copy () const
Public Member Functions inherited from Magick::VPathBase
| VPathBase (void)
virtual | ~VPathBase (void)

## Detailed Description

Definition at line 2687 of file Drawable.h.

## Constructor & Destructor Documentation

## ◆ PathSmoothCurvetoAbs() [1/3]

Magick::PathSmoothCurvetoAbs::PathSmoothCurvetoAbs | ( | const Magick::Coordinate & | coordinates_ | ) |

Definition at line 2039 of file Drawable.cpp.

## ◆ PathSmoothCurvetoAbs() [2/3]

Magick::PathSmoothCurvetoAbs::PathSmoothCurvetoAbs | ( | const CoordinateList & | coordinates_ | ) |

Definition at line 2044 of file Drawable.cpp.

## ◆ PathSmoothCurvetoAbs() [3/3]

Magick::PathSmoothCurvetoAbs::PathSmoothCurvetoAbs | ( | const PathSmoothCurvetoAbs & | original_ | ) |

Definition at line 2049 of file Drawable.cpp.

## ◆ ~PathSmoothCurvetoAbs()

Magick::PathSmoothCurvetoAbs::~PathSmoothCurvetoAbs | ( | void |  | ) |

Definition at line 2054 of file Drawable.cpp.

## Member Function Documentation

## ◆ copy()

Magick::VPathBase * Magick::PathSmoothCurvetoAbs::copy | ( |  | ) | const
| virtual

Implements Magick::VPathBase.

Definition at line 2071 of file Drawable.cpp.

## ◆ operator()()

void Magick::PathSmoothCurvetoAbs::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Implements Magick::VPathBase.

Definition at line 2058 of file Drawable.cpp.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp